## tzdata 2025a

=== debian/changelog ===
tzdata (2025a-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2095233). Remaining changes:
    - Ship ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
  * debian/rules: rename icu-data branch from master to main
  * Update the ICU timezone data to 2025a
  * Add autopkgtest test case for ICU timezone data 2025a

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Feb 2025 13:37:02 +0100

tzdata (2025a-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update Brazilian Portuguese debconf translation.
    Thanks to Adriano Rafael Gomes <adrianorg@debian.org> (Closes: #1093450)

  [ Benjamin Drung ]
  * Add chrono autopkgtest to test C++ chrono library (LP: #2096974)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 05 Feb 2025 12:38:27 +0100

tzdata (2025a-1) unstable; urgency=medium

  * New upstream version 2025a
    - Paraguay adopts permanent -03 starting spring 2024
    - No leap second on 2025-06-30
  * Add autopkgtest test case for 2025a release
  * Improve NEWS note about the /etc/timezone deprecation

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 17 Jan 2025 22:37:05 +0100

tzdata (2024b-6ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2024b ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Point Vcs-Browser/Git to Launchpad

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 14 Jan 2025 11:12:46 +0100

tzdata (2024b-6) unstable; urgency=medium

  * Update debconf autopkgtest following the /etc/timezone change
  * Rework README.Debian. Explain how timezone are named, the split between
    the tzdata and tzdata-legacy packages, the difference between the 'posix'
    and 'right' version and the way to configure the timezone either
    interactively and programmatically (with and without systemd).
    (Closes: #498171, #602563, #848143)
  * Add a note in NEWS about the /etc/timezone deprecation

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Jan 2025 23:41:11 +0100

tzdata (2024b-5) unstable; urgency=medium

  * Validate timezone using the debconf database instead of the zones files
  * Only mark debconf templates as unseen if the timezone can't be validated
  * Only create /etc/timezone if it already exists

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 08 Jan 2025 21:09:56 +0100
