## tzdata 2025b

=== debian/changelog ===
tzdata (2025b-4+deb13u1) trixie; urgency=medium

  * Backport leap second update from upstream

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Aug 2025 22:12:10 +0200

tzdata (2025b-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update Portuguese debconf translation.
    Thanks to Américo Monteiro <a_monteiro@gmx.com> (Closes: #1107419)
  * Update Italian debconf translation.
    Thanks to Ceppo <ceppo@oziosi.org> (Closes: #1108251)

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 28 Jun 2025 12:23:31 +0200

tzdata (2025b-3) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update Dutch debconf translation.
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
    (Closes: #1103355)

  [ Benjamin Drung ]
  * d/tzdata.config: quote variables to prevent word splitting

 -- Benjamin Drung <bdrung@debian.org>  Fri, 02 May 2025 11:00:46 +0200

tzdata (2025b-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Update German debconf translation.
    Thanks to Holger Wansing <hwansing@mailbox.org> (Closes: #1101584)
  * Update Turkish debconf translation.
    Thanks to Atila KOÇ <atilakoc@yahoo.com> (Closes: #1102353)

  [ Aurelien Jarno ]
  * Update Romanian debconf translation.
    Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
    (Closes: #1101815)
  * Update Catalan debconf translation.
    Thanks to Carles Pina i Estany <carles@pina.cat> (Closes: #1102616)

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Apr 2025 14:47:47 +0200

tzdata (2025b-1) unstable; urgency=medium

  * New upstream version 2025b:
    - New America/Coyhaique zone for Aysén Region in Chile, which moves
      from -04/-03 to -03. It will not change its clocks on 2025-04-05.
    - Improve historical data for Iran
  * Add America/Coyhaique to tzdata.install and debconf templates
  * Update English, French and Spanish debconf translations for Coyhaique
  * Add autopkgtest test case for 2025b release
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 24 Mar 2025 00:36:10 +0100
