=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://data.iana.org/time-zones/releases/tzdata(\d+\w)\.tar\.gz
