=== debian/changelog ===
tzdata (2025c-3ubuntu3) resolute; urgency=medium

  * Revert forcing using gnudate and declare breaking rust-coreutils before
    version 0.5.0 (LP: #2130471)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 26 Jan 2026 12:01:21 +0100

tzdata (2025c-3ubuntu2) resolute; urgency=medium

  * fix error on the 31st day of month with rust-coreutils (LP: #2130471)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 12 Jan 2026 09:54:36 -0500

tzdata (2025c-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2025b ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Point Vcs-Browser/Git to Launchpad

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 18 Dec 2025 17:56:18 +0100

tzdata (2025c-3) unstable; urgency=medium

  * Also remove /etc/timezone on upgrades from Ubuntu 25.10 "questing" older

 -- Benjamin Drung <bdrung@debian.org>  Thu, 18 Dec 2025 16:55:15 +0100

tzdata (2025c-2) unstable; urgency=medium

  * Remove /etc/timezone on upgrade (Closes: #605834, #813226, #822733)

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Dec 2025 23:51:19 +0100

tzdata (2025c-1) unstable; urgency=medium

  * New upstream version 2025c
  * Update French debconf translation.
    Thanks to Baptiste Jammet <baptiste@mailoo.org> (Closes: #1118004)
  * Drop No-leap-second-on-2025-12-31.patch (merged upstream)
  * Update Swedish debconf translation.
    Thanks to Martin Bagge <brother@persilja.net> (Closes: #1122575)
  * debian/control: drop Rules-Requires-Root field, now obsolete
  * debian/watch: update to version 5
  * Add autopkgtest test case for 2025c release

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Dec 2025 20:40:17 +0100

tzdata (2025b-5ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2025b ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Point Vcs-Browser/Git to Launchpad
    - Drop /etc/timezone and remove it on upgrades (LP #2109511)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 21 Oct 2025 11:49:26 +0200

tzdata (2025b-5) unstable; urgency=medium

  * Change Provides: from tzdata-trixie to tzdata-forky
  * Backport leap second update from upstream

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 12 Aug 2025 16:55:09 +0200

tzdata (2025b-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2025a ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Point Vcs-Browser/Git to Launchpad
  * Update the ICU timezone data to 2025b (LP: #2107950)
  * Add autopkgtest test case for ICU timezone data 2025b
  * Drop /etc/timezone and remove it on upgrades (LP: #2109511)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 02 May 2025 11:32:59 +0200

tzdata (2025b-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2104284). Remaining changes:
    - Ship 2025a ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Point Vcs-Browser/Git to Launchpad
  * No ICU data update yet as none is yet available upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 26 Mar 2025 18:13:06 +0100
