=== debian/control ===
--- 
+++ 
@@ -3,34 +3,54 @@
 Priority: required
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: gawk,
+                     icu-devtools,
                      po-debconf,
                      python3 (>= 3.9),
                      python3-debian,
                      python3-natsort,
                      python3-polib
-Rules-Requires-Root: no
-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <clint@debian.org>,
            Aurelien Jarno <aurel32@debian.org>,
            Benjamin Drung <bdrung@debian.org>
 Standards-Version: 4.7.2
 Homepage: https://www.iana.org/time-zones
-Vcs-Git: https://salsa.debian.org/glibc-team/tzdata.git
-Vcs-Browser: https://salsa.debian.org/glibc-team/tzdata
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata/+git/tzdata
 
 Package: tzdata
 Architecture: all
 Multi-Arch: foreign
 Depends: debconf | debconf-2.0, ${misc:Depends}
-Breaks: tzdata-legacy (= 2023c-8), tzdata-legacy (= 2023c-9)
+Breaks: rust-coreutils (<< 0.5.0),
+        tzdata-legacy (= 2023c-8),
+        tzdata-legacy (= 2023c-9)
 Replaces: tzdata-legacy (= 2023c-8), tzdata-legacy (= 2023c-9)
-Provides: tzdata-trixie
+Provides: tzdata-forky
 Description: time zone and daylight-saving time data
  This package contains data required for the implementation of
  standard local time for many representative locations around the
  globe. It is updated periodically to reflect changes made by
  political bodies to time zone boundaries, UTC offsets, and
  daylight-saving rules.
+
+Package: tzdata-icu
+Architecture: all
+Multi-Arch: foreign
+Priority: optional
+Depends: ${misc:Depends}
+Conflicts: tzdata-bookworm, tzdata-bullseye
+Replaces: tzdata-bookworm, tzdata-bullseye
+Description: ICU time zone and daylight-saving time data
+ This package contains data required for the implementation of
+ standard local time for many representative locations around the
+ globe. It is updated periodically to reflect changes made by
+ political bodies to time zone boundaries, UTC offsets, and
+ daylight-saving rules.
+ .
+ This package contains the time zone data in the format used by
+ International Components for Unicode (ICU).
 
 Package: tzdata-legacy
 Architecture: all
