=== debian/watch ===
Version: 5
Source: https://data.iana.org/time-zones/releases/
Matching-Pattern: tzdata(\d+\w)\.tar\.gz
Pgpsigurlmangle: s/$/.asc/
