## tzdata 2026a

=== debian/changelog ===
tzdata (2026a-1) unstable; urgency=medium

  * New upstream version 2026a:
    - No leap second on 2026-06-30
    - Moldova has used EU transition times since 2022
  * Add autopkgtest test case for 2026a release
  * Bump Standards-Version to 4.7.3 (no changes)

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Mar 2026 20:45:42 +0100
